<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html" xmlns:p="http://primefaces.org/ui" xmlns:f="http://java.sun.com/jsf/core">

<h:head>
	<title>demopf - Usuarios</title>
</h:head>

<h:body>

	<p:growl id="growl" showDetail="true" showSummary="true" autoUpdate="true" life="6000" escape="false" />

	<h:form id="formUsuarios">

		<p:panel header="Usuarios">

			<br />

			<p:dataTable id="tbl" value="#{usuarioMB.usuarios}" var="u" emptyMessage="Sin registros" rows="10" paginator="true"
				paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
				rowsPerPageTemplate="5,10,15" filteredValue="#{usuarioMB.filtroUsuarios}" widgetVar="tbl">

				<f:facet name="header">Usuarios registrados</f:facet>

				<p:column headerText="ID" style="text-align:center;" filterBy="#{u.id}" filterMatchMode="exact">
					<h:outputText value="#{u.id}" />
				</p:column>

				<p:column headerText="Nombre" style="text-align:center;" filterBy="#{u.nombre}" filterMatchMode="contains">
					<h:outputText value="#{u.nombre} #{u.apellidoPaterno} #{u.apellidoMaterno}" />
				</p:column>

				<p:column headerText="Edad" style="text-align:center;" filterBy="#{u.edad}" filterMatchMode="exact">
					<h:outputText value="#{u.edad}" />
				</p:column>

				<p:column headerText="Correo" style="text-align:center;" filterBy="#{u.correo}" filterMatchMode="contains">
					<h:outputText value="#{u.correo}" />
				</p:column>

				<p:column headerText="Rol" style="text-align:center;" filterBy="#{u.rol}" filterMatchMode="exact">
					<f:facet name="filter">
						<p:selectOneMenu onchange="PF('tbl').filter()">
							<f:selectItem itemLabel="Elegir" itemValue="#{null}" noSelectionOption="true" />
							<f:selectItems value="#{usuarioMB.roles}" var="rl" itemLabel="#{rl.descripcion}" />
						</p:selectOneMenu>
					</f:facet>
					<h:outputText value="#{u.rol.descripcion}" />
				</p:column>

			</p:dataTable>

		</p:panel>

		<p:commandButton action="#{login.logout}" value="Salir" ajax="false" process="@this" />

		<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />

	</h:form>

	<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
		<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
		<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
	</p:confirmDialog>

</h:body>

</html>